We are in the process of migrating this forum. A new space will be available soon. We are sorry for the inconvenience.

lighttpd updaten 1.4.19 > 1.4.28


pendulum
31.08.10, 22:49
Dann mach was da steht, entweder bau ohne zlib Unterstützung oder install die dazugehörigen -dev Packages die auch auf der genannten Seite aufgelistet sind.

zlib brauchst du nur wenn du mod_compress willst.

Montrey
31.08.10, 22:21
Hat noch nicht alles funktioniert , werde morgen weiter machen adios ! thx !


Bekomme immer die Fehlermeldung nach ./configure

configure: error: zlib-headers and/or libs where not found, install them or build with --without-zlib
oder --without-bzip2

pendulum
31.08.10, 22:06
Die Config kannst du natürlich anpassen wie du willst, dafür ist sie da.

Montrey
31.08.10, 20:34
Danke ! Werds mal probieren Muss ich eigentlich die lighttpd.conf exakt übernehmen ?


Hat noch nicht alles funktioniert , werde morgen weiter machen adios !

pendulum
31.08.10, 20:30
Du lädst dir http://download.lighttpd.net/lighttp...-1.4.28.tar.gz runter.
Entpackst es mit tar xfz lighttpd-1.4.28.tar.gz
Wechselst in das neu erstellte Verzeichnis
Rufst ./configure auf (eventuell mit --prefix anpassen damit er nich in /usr/local landet)
Rufst make auf
Rufst make install als root auf
Rufst /etc/init.d/lighttpd restart auf

Und theoretisch sollte es das gewesen sein. Du brauchst natürlich compiler usw (build-essential) und ein paar Dependencies. Vllt. reichen libpcre3-dev pkg-config.
Probier das und dann sehn wir weiter wenn was fehlschlägt

Übrigens ist das Debian 1.4.19 nicht das gleiche wie das offizielle von lighttpd.net da sie zwar auf einer Version stehn bleiben aber wichtige Fixes zurück portieren. Damit ist es halb so wild.

Montrey
31.08.10, 20:17
Hallo ovh Leute !

Ich habe auf meinem Testserver lighttpd installiert (froxlor, mysql , php usw.) Nun bei Debian Lenny ist momentan nur 1.4.19 vorhanden und möchte diese nun auf den aktuelleren Stand bringen aber ich blicke bei dieser Anleitung http://redmine.lighttpd.net/projects...tallFromSource von lighttpd absolut nicht durch, mein Schulenglisch ist auch schon lange eingerostet. ^^

Ich hoffe ihr könnt mir helfen, habe in meinen Linuxbüchern leider nichts hilfreiches gefunden.

Schon mal ein dickes Danke ! :--)